/*
* CLIF is a Load Injection Framework
* Copyright (C) 2008 France Telecom
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* Contact: clif@ow2.org
*/
package org.ow2.clif.analyze.api.graph.virtualdata;

import java.util.List;
import org.ow2.clif.storage.api.BladeEvent;


/**
 * The Interface AggregateDataControl.
 * @author Olivier Liu
 */
public interface AggregateDataControl {

    //  Fractal interface name 
    /** The Constant AGGREGATE_DATA_CONTROL. */
    static public final String AGGREGATE_DATA_CONTROL = "Aggregate Data Control";

    
    /////////////////////////////////
    // Methods under test //
    /////////////////////////////////  
    /**
     *  Aggregate blades on one event type
     * 
     * @param bladeList the blades must have same type
     * (i.e. injectors, or probes of the same kind/class)
     * @return List<BladeEvent> virtual data from an aggregation on one event of all the blades selected
     */
    public List<BladeEvent>  aggregateBladesOneSameEvent(List<List<BladeEvent>> bladeList);
        
}
