/*
* CLIF is a Load Injection Framework
* Copyright (C) 2008 France Telecom
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF
*@author Olivier Liu
*
*
*/
package org.ow2.clif.analyze.lib.graph;

import java.util.List;
import java.util.Map;

import org.jfree.chart.JFreeChart;
import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.BindingController;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.ow2.clif.analyze.api.graph.AnalysisRoutineWrite;
import org.ow2.clif.analyze.api.graph.virtualdata.RoutineSupplier;

public class AnalysisRoutineImpl implements BindingController, AnalysisRoutineWrite, RoutineSupplier {
	/**
	 * The Class AnalysisRoutineImpl
	 */

	    /** The instance. */
	    private static AnalysisRoutineImpl instance= new AnalysisRoutineImpl();
	    
	    
	    /** The interface list. */
	    static private String[] itfList = new String[] { RoutineSupplier.ROUTINE_SUPPLIER};

	    // field for client binding (access to stored data)
	    /** The data supplier interface. */
	    private RoutineSupplier rs;
	    
	    
	    /**
	     * Instantiates a new chart engine impl.
	     */
	    public AnalysisRoutineImpl()
	    { 
	       //empty
	    }
	    
	    
	    /**
	     * Gets the single instance of FilterDataImpl.
	     * 
	     * @return single instance of FilterDataImpl
	     */
	    public AnalysisRoutineImpl getInstance()
	    {
	        return instance;
	    }


	    /////////////////////////////////
	    // interface BindingController //
	    /////////////////////////////////


	    
	    /* (non-Javadoc)
	     * @see org.objectweb.fractal.api.control.BindingController#bindFc(java.lang.String, java.lang.Object)
	     */
	    public void bindFc(String clientItfName, Object serverItf) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException 
	    {
	        if (clientItfName.equals(RoutineSupplier.ROUTINE_SUPPLIER))
	        {
	            rs = (RoutineSupplier)serverItf;
	        }
	    }
	    

	    /* (non-Javadoc)
	     * @see org.objectweb.fractal.api.control.BindingController#listFc()
	     */
	    public String[] listFc() 
	    {
	        return itfList;
	    }

	    
	    /* (non-Javadoc)
	     * @see org.objectweb.fractal.api.control.BindingController#lookupFc(java.lang.String)
	     */
	    public Object lookupFc(String clientItfName) throws NoSuchInterfaceException 
	    {
	        if (clientItfName.equals(RoutineSupplier.ROUTINE_SUPPLIER))
	        {
	            return rs;
	        }
	        else
	        {
	            return null;
	        }
	    }

	    
	    /* (non-Javadoc)
	     * @see org.objectweb.fractal.api.control.BindingController#unbindFc(java.lang.String)
	     */
	    public void unbindFc(String clientItfName) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException 
	    {
	        if (clientItfName.equals(RoutineSupplier.ROUTINE_SUPPLIER))
	        {
	            rs = null;
	        }
	    }
	    
	    
	    ////////////////////////////////////
	    // interface RoutineSupplier //
	    ////////////////////////////////////

		
		/* (non-Javadoc)
		 * @see org.ow2.clif.analyze.api.graph.virtualdata.RoutineSupplier#saveRoutineToXML(java.lang.String, java.util.Map, java.util.Map, java.util.Map, java.lang.String, java.util.Map, java.util.Map, java.util.Map)
		 */
		public boolean saveRoutineToXML(String fileName,
				Map<Integer, List<StatisticDataImpl>> statisticMap,
				Map<String, String> commentMap,
				Map<Integer, JFreeChart> freeChartMap, 
				String imageType,
				Map<Integer, List<Integer>> pageIdAndDatasetIds,
				Map<Integer, ChartData> chartDataList,
				Map<Integer, DatasetOptions> datasetIdAndGraphOptions) {
			System.out.println("ok linking ");
			return true;
		}
	    
	    ////////////////////////////////////
	    // interface AnalysisRoutineWrite //
	    ////////////////////////////////////

}

