/*
 * CLIF is a Load Injection Framework
 * Copyright (C) 2005, 2006 France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * CLIF $Name: not supported by cvs2svn $
 *
 * Contact: clif@ow2.org
 */

package org.ow2.clif.console.lib.batch;

import org.ow2.clif.deploy.ClifRegistry;
import org.ow2.clif.util.ExecutionContext;

/**
 * Batch command to run the Clif Registry where servers and ClifApplications will be bound.
 * It also creates a Clif server, bound to the "local host" name.
 * 
 * @author Joan Chaumont
 * @author Bruno Dillenseger
 */
public class RegistryCmd
{
	/**
	 * Runs the Clif Registry and a CLIF server
	 * @param args - (no argument)
	 */
	public static void main(String[] args)
	{
		try
		{
			ExecutionContext.init("./");
			new ClifRegistry(true);
		}
		catch (Exception e)
		{
			e.printStackTrace(System.err);
			System.err.println("Maybe another registry is already running on this host");
			System.exit(BatchUtil.ERR_REGISTRY);
		}
	}
}
