package org.ow2.clif.analyze.lib.egui.wizards;

import org.eclipse.birt.report.designer.core.model.SessionHandleAdapter;
import org.eclipse.birt.report.designer.internal.ui.util.ExceptionHandler;
import org.eclipse.birt.report.designer.ui.ReportPlugin;
import org.eclipse.birt.report.model.api.ModuleHandle;
import org.eclipse.birt.report.model.api.ReportDesignHandle;
import org.eclipse.birt.report.model.api.activity.SemanticException;
import org.eclipse.core.resources.IFile;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.ide.IDE;

import java.io.IOException;

/**
 * Controller class to separate birt use of wizard
 */
public class BirtController {

	/**
	 * Set report basic settings.
	 * @param model
	 * @param settingPage
	 * @throws java.io.IOException
	 */
	public void setReportSettings(Object model, CLIFReportSettingPage settingPage) throws IOException
	{
		ReportDesignHandle handle = (ReportDesignHandle) model;
		try
		{
			handle.setDisplayName(settingPage.getDisplayName());
			handle.setDescription(settingPage.getDescription());
			handle.setIconFile(settingPage.getPreviewImagePath());
		}
		catch ( SemanticException e )
		{
		}
		handle.save( );
	}

	public void switchToBirtPerspective(IWorkbenchPage page, IFile file, CLIFReportSettingPage settingPage) {
		try {
			IEditorPart editorPart = IDE.openEditor(page, file, true);
			ModuleHandle model = SessionHandleAdapter.getInstance()
					.getReportDesignHandle();
			if (ReportPlugin.getDefault().getEnableCommentPreference()) {
				model.setStringProperty(ModuleHandle.COMMENTS_PROP,
						ReportPlugin.getDefault()
								.getCommentPreference());
			}

			setReportSettings(model, settingPage);
			editorPart.doSave( null );
//			BasicNewProjectResourceWizard.updatePerspective(configElement);
		} catch (Exception e) {
			ExceptionHandler.handle(e);
		}
	}

	public String getReportUIId() {
		return ReportPlugin.REPORT_UI;
	}
}
